Name:          sshj
Version:       0.8.1
Release:       %mkrel 4
Summary:       SSHv2 library for Java
License:       ASL 2.0
URL:           http://schmizz.net/sshj/
Source0:       https://github.com/shikhar/sshj/archive/v%{version}.tar.gz
Group:         Development/Java
BuildRequires: java-devel

BuildRequires: mvn(com.jcraft:jzlib) >= 1.1.0-2
BuildRequires: mvn(org.bouncycastle:bcprov-jdk16)
BuildRequires: mvn(org.slf4j:slf4j-api)

# test deps
BuildRequires: mvn(ch.qos.logback:logback-classic)
BuildRequires: mvn(ch.qos.logback:logback-core)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.mina:mina-core)
BuildRequires: mvn(org.apache.sshd:sshd-core)
BuildRequires: mvn(org.mockito:mockito-all)

BuildRequires: maven-local
BuildRequires: maven-assembly-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-provider-junit4

BuildArch:     noarch

%description
SSH, scp and sftp library for Java.

%package javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

# SmokeTest.setUp:37 ? NoClassDefFound org/apache/mina/core/service/IoHandler
%pom_add_dep org.apache.mina:mina-core::test

# Some classes moved from JUnit to hamcrest
sed -i -e 's/org.junit.internal.matchers/org.hamcrest.core/' src/test/java/net/schmizz/sshj/transport/verification/OpenSSHKnownHostsTest.java
%mvn_file :%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc CONTRIBUTORS LICENSE NOTICE README.rst

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE




%changelog
* Thu Dec 26 2013 dmorgan <dmorgan> 0.8.1-4.mga4
+ Revision: 560772
- Build with xmvn

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.8.1-2.mga3
+ Revision: 382641
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 0.8.1-1.mga3
+ Revision: 292963
- New version

* Sun Jun 24 2012 gil <gil> 0.6.1-1.mga3
+ Revision: 263039
- imported package sshj

